Skip to main content
GET
/
v2
/
webhooks
/
{id}
/
events
List events for a webhook
curl --request GET \
  --url https://sandbox.groundtech.co/v2/webhooks/{id}/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "id": "73a8e0c9-c20d-4b10-b9a4-0f0ff6b5cb9c",
      "registration_id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
      "event_type": "portfolio_wallet.withdrawal.status_changed",
      "payload": {
        "walletId": "b1c2d3e4-0000-4000-8000-000000000001",
        "withdrawalId": "a1f9e803-12a1-4f7c-8bb1-30277d1f6574",
        "status": "completed"
      },
      "status": "delivered",
      "attempt_count": 1,
      "delivered_at": "2026-05-01T17:35:41.000Z",
      "last_error": null,
      "created_at": "2026-05-01T17:35:39.000Z",
      "updated_at": "2026-05-01T17:35:41.000Z",
      "registration": {
        "id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
        "callbackUrl": "https://ops.acme-treasury.com/webhooks/ground"
      },
      "latestEmission": {
        "id": "c177e6a4-2ee3-4ce0-b795-f092cb0e572d",
        "attempt_number": 1,
        "requested_at": "2026-05-01T17:35:39.000Z",
        "completed_at": "2026-05-01T17:35:41.000Z",
        "response_status": 200,
        "response_ms": 184,
        "error_message": null
      }
    }
  ],
  "nextCursor": null,
  "hasMore": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.groundtech.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Webhook ID.

Query Parameters

cursor
string

Opaque cursor from the previous page.

limit
integer
default:25

Maximum number of events to return.

Required range: 1 <= x <= 100

Response

Webhook event feed

events
object[]
nextCursor
string | null
hasMore
boolean